local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("InFlight", "InFlight")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "InFlightShakedown"

function Addon:Start()

    -- show bar now
    self:ShowBar()

    --schedule repeating bars
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.ShowBar, self)

end

function Addon:Stop()
    
    -- stop the repeating event
    self:RemoveTimer(TIMER_ID)

end

function Addon:ShowBar()

    -- show a dummy bar
    InFlight:StartMiscFlight("InFlight", "InFlight")

end