local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("MikScrollingBattleText", "Mik's Scrolling Battle Text")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "MSBTShakedown"

function Addon:Start()
        
    -- display something now
    self:Display()
    
    -- display a message every second
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)

end

function Addon:Stop()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
end

function Addon:Display()

    for k, v in pairs(MikSBT.Animations.scrollAreas) do
        MikSBT.DisplayMessage("MSBT "..v.name, v.name)
        MikSBT.DisplayMessage("MSBT "..v.name, v.name, true)
    end
    
end
